man(1)

NAME
kpatch - hot patch module management

SYNOPSIS
kpatch <command> [<args>]

DESCRIPTION
kpatch is a user script that manages installing, loading, and displaying information about kernel patch modules installed on the system.

COMMANDS

install [-k|--kernel-version=<kernel version>] <module>
       install patch module to be loaded at boot

uninstall [-k|--kernel-version=<kernel version>] <module>
       uninstall patch module

load --all
       load all installed patch modules into the running kernel

load <module>
       load patch module into the running kernel

unload --all
       unload all patch modules from the running kernel

unload <module>
       unload patch module from the running kernel

info <module>
       show information about a patch module

list
       list installed patch modules. If the system supports the livepatch 'stack_order' sysfs attribute, provide the list of currently livepatched functions

signal
       signal/poke any process stalling the current patch transition.
       This is only useful on systems that have the sysfs livepatch signal interface.
       On other systems, the signaling should be done automatically by the OS and
       this subcommand is a no-op.

version
       display the kpatch version

SEE ALSO
kpatch-build(1)

BUGS
No known bugs.

AUTHOR
Udo Seidel (udoseidel@gmx.de)

COPYRIGHT
Copyright (C) 2014: Seth Jennings <sjenning@redhat.com> and Josh Poimboeuf <jpoimboe@redhat.com>